Package MNP

# Class ChangementNP

java.lang.Object
MNP.ChangementNP

All Implemented Interfaces:
  `Changement`, `MonPrint`

public class ChangementNP extends Object implements Changement
Une demande de changement de groupe concerne un étudiant, qui est dans un groupe A et veut aller dans un groupe B. Implémentation non persistante fournie avec l'API.

## Constructor Summary

Constructors
Constructor
Description
`ChangementNP(Groupe a, Etudiant e, Groupe b)`

## Method Summary

Modifier and Type
Method
Description
`Groupe`
`getA()`
permet de récupérer le groupe de depart
`Groupe`
`getB()`
permet de récupérer le groupe d'arrivée
`Etudiant`
`getEtu()`
permet de récupérer l'étudiant demandant le changement
`int`
`getId()`
permet de récupérer l'identifiant du changement (référence interne sans intérêt irl).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface API.Changement

`monPrint`

## Constructor Details

### ChangementNP

public ChangementNP(Groupe a, Etudiant e, Groupe b)

## Method Details

### getId

public int getId()
permet de récupérer l'identifiant du changement (référence interne sans intérêt irl).

Specified by:
  `getId` in interface `Changement`
Returns:
  l'identifiant.

### getA

public Groupe getA()
permet de récupérer le groupe de depart

Specified by:
  `getA` in interface `Changement`
Returns:
  ce groupe.

### getB

public Groupe getB()
permet de récupérer le groupe d'arrivée

Specified by:
  `getB` in interface `Changement`
Returns:
  ce groupe.

### getEtu

public Etudiant getEtu()
permet de récupérer l'étudiant demandant le changement

Specified by:
  `getEtu` in interface `Changement`
Returns:
  cet étudiant